<?php

declare(strict_types=1);

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\CVResource;
use App\Models\CV;
use Illuminate\Http\Resources\Json\JsonResource;

class CVController extends Controller
{
    public function show(CV $cv): JsonResource
    {
        $cv->update(['views' => $cv->views+=1]);

        return new CVResource($cv);
    }
}
